Agents
The role/harness/model catalog missions are configured against.
Response Body
application/json
curl -X GET "https://example.com/agents/catalog"{ "roles": [ { "key": "researcher", "name": "string", "roleLabel": "string", "blurb": "string" } ], "harnesses": [ { "id": "hermes", "label": "string", "executable": true, "models": [ { "id": "string", "label": "string" } ] } ], "builtinAgents": [ { "key": "string", "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "userPrompt": "string", "skillRepos": [ "string" ], "sandboxTemplateKey": "string" } ], "builtinSandboxTemplate": { "key": "string", "name": "string", "dockerfile": "string" }, "instanceTypes": [ { "id": "lite", "label": "string", "vcpu": "string", "memory": "string", "disk": "string" } ]}curl -X GET "https://example.com/agents"{ "data": [ { "id": "string", "orgId": "string", "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "effort": "string", "sandboxTemplateId": "string", "userPrompt": "string", "skillRepos": [ "string" ], "isBuiltin": true, "createdAt": 0, "updatedAt": 0 } ], "nextCursor": "string"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agents" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "sandbox": { "kind": "existing", "templateId": "string" } }'{ "id": "string", "orgId": "string", "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "effort": "string", "sandboxTemplateId": "string", "userPrompt": "string", "skillRepos": [ "string" ], "isBuiltin": true, "createdAt": 0, "updatedAt": 0}curl -X GET "https://example.com/agents/string"{ "id": "string", "orgId": "string", "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "effort": "string", "sandboxTemplateId": "string", "userPrompt": "string", "skillRepos": [ "string" ], "isBuiltin": true, "createdAt": 0, "updatedAt": 0}Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/agents/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "orgId": "string", "name": "string", "role": "researcher", "harness": "hermes", "model": "string", "effort": "string", "sandboxTemplateId": "string", "userPrompt": "string", "skillRepos": [ "string" ], "isBuiltin": true, "createdAt": 0, "updatedAt": 0}Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/agents/string"{ "ok": true, "id": "string"}How is this page?